Vsan Vds System Vsan Rollback Vds To Vss

Vsan Vds System Vsan Rollback Vds To Vss
Rollback the change committed by the *VsanVdsSystem.VsanVdsMigrateVss*

Rollback the change committed by the VsanVdsMigrateVss

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVdsSystem/{moId}/VsanRollbackVdsToVss
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVdsSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanRollbackVdsToVssRequestType of type(s) application/json
Required

Show optional properties

{
    "task": {}
}
{
    "task": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
task
Required

The task associated with the change committed by the VsanVdsMigrateVss

Authentication
This operation uses the following authentication methods.
Responses
200

Always return True

Returns integer of type(s) application/json
Operation doesn't return any data structure

500

NotFound: Task not found

VsanFault: Any unexpected runtime error.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"task":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanVdsSystem/{moId}/VsanRollbackVdsToVss